Reembolsos
Obter um reembolso
Retorna um refund pelo ID.
curl -X GET "https://api.chargefy.io/v1/refunds/re_HjsgBnEawsBFXykH" \
-H "Authorization: Bearer {{API_KEY}}"
Retorna um
refund acessível para a organização.
string
required
ID do refund (
re_*).curl -X GET "https://api.chargefy.io/v1/refunds/re_HjsgBnEawsBFXykH" \
-H "Authorization: Bearer {{API_KEY}}"
200
{
"id": "re_HjsgBnEawsBFXykH",
"object": "refund",
"amount": 5000,
"balance_transaction": "txn_eNZ2W2RbFSvVNMPj",
"charge": "ch_ApoCK97eB9EJE3gV",
"created_at": "2026-05-20T18:35:00Z",
"currency": "brl",
"customer": "cus_F1PFr6CsjuLWmtrS",
"description": "Reembolso parcial do pedido original",
"destination_details": {
"card_last4": "4242",
"type": "credit_card"
},
"failure_balance_transaction": null,
"failure_reason": null,
"instructions_email": "nome@email.com",
"livemode": true,
"metadata": {},
"next_action": null,
"payment_intent": "pi_wPSsDSWKQo26xgWA",
"pending_reason": null,
"reason": "requested_by_customer",
"receipt_number": "RR-2026-0001",
"source_transfer_reversal": null,
"status": "succeeded",
"transfer_reversal": null,
"updated_at": "2026-05-20T18:35:00Z"
}
Erros comuns
401
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}
404
{
"error": {
"code": "resource_missing",
"message": "Refund not found.",
"param": "id",
"type": "invalid_request_error"
}
}
⌘I
curl -X GET "https://api.chargefy.io/v1/refunds/re_HjsgBnEawsBFXykH" \
-H "Authorization: Bearer {{API_KEY}}"

